Last Comment Bug 786599 - Firefox file picker is triggered when clearing the Android notifications after a file was already downloaded
: Firefox file picker is triggered when clearing the Android notifications afte...
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: Download Manager (show other bugs)
: 16 Branch
: ARM Android
: -- normal (vote)
: Firefox 18
Assigned To: Wesley Johnston (:wesj)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 02:51 PDT by Cristian Nicolae (:xti)
Modified: 2016-07-29 14:29 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
unaffected
+
fixed
verified


Attachments
Patch (1.05 KB, patch)
2012-08-29 09:09 PDT, Wesley Johnston (:wesj)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description Cristian Nicolae (:xti) 2012-08-29 02:51:16 PDT
Firefox 18.0a1 (2012-08-28)
Device: Galaxy Note
OS: Android 4.0.4

Steps to reproduce:
1. Open Fennec
2. Go to http://1.usa.gov/deeXKM
3. After the download is completed, the file picker is triggered or the file is opened directly. In any of these cases, tap on the Back button to go back to Fennec main view
4. Drag down the Android notification bar and tap on Clear button

Expected result:
All Android notifications are cleared, including the Firefox complete download notification.

Actual result:
File picker is triggered, or the file is opened directly by a default 3rd party app.

Note:
This issue is not reproducible on the stock browser.
Comment 1 Aaron Train [:aaronmt] 2012-08-29 07:22:08 PDT
This sounds like an Android issue.
Comment 2 Cristian Nicolae (:xti) 2012-08-29 07:23:16 PDT
(In reply to Aaron Train [:aaronmt] from comment #1)
> This sounds like an Android issue.

It should be the same behavior on the stock then, right?
Comment 3 Wesley Johnston (:wesj) 2012-08-29 09:09:24 PDT
Created attachment 656482 [details] [diff] [review]
Patch

The notification handler registers for two intents that we specify when we create the notification. ACTION_ALERT_CLICK and ACTION_ALERT_CLEAR. We're currently doing the same thing in both cases.
Comment 5 Wesley Johnston (:wesj) 2012-08-29 09:22:56 PDT
Comment on attachment 656482 [details] [diff] [review]
Patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 781061
User impact if declined: Clearing notifications is the same as clicking on them
Testing completed (on m-c, etc.): Landed on mc right now 8/29
Risk to taking this patch (and alternatives if risky): Really low risk. Alternatively, we could back 781061 out of beta since webapps are turned off there.
String or UUID changes made by this patch: None.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-08-29 17:18:20 PDT
https://hg.mozilla.org/mozilla-central/rev/f8254a69dff0
Comment 7 Alex Keybl [:akeybl] 2012-08-31 16:13:03 PDT
Comment on attachment 656482 [details] [diff] [review]
Patch

[Triage Comment]
Approving for Aurora 17. No need to land on Beta 16, because we've already backed out bug 781061. Thanks wesj.
Comment 8 Alex Keybl [:akeybl] 2012-09-04 07:48:18 PDT
(please correct me if I'm wrong here about 16)
Comment 9 Cristian Nicolae (:xti) 2012-09-04 07:50:43 PDT
(In reply to Alex Keybl [:akeybl] from comment #8)
> (please correct me if I'm wrong here about 16)

Still occurs on the latest Beta build.

--
Firefox 16.0b1 build 1
Device: Galaxy Note
OS: Android 4.0.4
Comment 10 Scoobidiver (away) 2012-09-04 08:31:57 PDT
(In reply to Alex Keybl [:akeybl] from comment #7)
> No need to land on Beta 16, because we've already backed out bug 781061.
The backout of bug 781061 is to fix bug 786338.
Comment 11 Alex Keybl [:akeybl] 2012-09-04 08:38:54 PDT
(In reply to Cristian Nicolae (:xti) from comment #9)
> (In reply to Alex Keybl [:akeybl] from comment #8)
> > (please correct me if I'm wrong here about 16)
> 
> Still occurs on the latest Beta build.
> 
> --
> Firefox 16.0b1 build 1
> Device: Galaxy Note
> OS: Android 4.0.4

The backout of bug 781061 would first be testable in b2, given when it landed. Hopefully wesj can help sort out where this fix needs to land.
Comment 12 Wesley Johnston (:wesj) 2012-09-04 09:00:01 PDT
I backed this out last thursday from https://hg.mozilla.org/releases/mozilla-beta. I believe that we'd already branched for beta 1 by then and this is in beta 2.
Comment 13 Wesley Johnston (:wesj) 2012-09-17 08:39:26 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/eccc5df5b6af

Note You need to log in before you can comment on or make changes to this bug.